clear all;

b = ____;   %Enter in the damping coefficient
mr = 0.23;
mc = 0.94;
L = 0.6413;
g = 9.81;
Ic = 1/3*mr*L^2;
R = (mc+mr)*Ic-(mr*L/2)^2;

s = tf('s');
Gphi = (mr*L/(2*R)*s)/(s^3 + Ic*b/R*s^2 - mr*g*L*(mc+mr)/(2*R)*s - mr*g*L*b/(2*R))


%% Closed Loop Under P control

% figure(1)
% rlocus(Gphi)
% [k,poles]=rlocfind(Gphi)


%% Closed Loop with PI control
 
% z = [-1];
% p = 0;
% k = 1;
% Cpi = zpk(z,p,k)
% figure(2)
% rlocus(Cpi*Gphi)
% [k,poles]=rlocfind(Cpi*Gphi)

%% Closed Loop with PID

% z1 = -7.5;
% z2 = -20;
% z = [z1 z2];
% p = 0;
% k = 1;
% Cpid = zpk(z,p,k)
% figure(3)
% rlocus(Cpid*Gphi)
% [k,poles]=rlocfind(Cpid*Gphi)

