clear all

b = 10.79;
mr = 0.23;
mc = 0.94;
L = 0.6413;
g = 9.81;
Ic = 1/3*mr*L^2;


%% Euler Time Stepping

tend = 10;
dt = 0.001;
TT = 0:dt:10;

xall = zeros(4,numel(TT));
xall(:,1) = [0; pi-0.01; 0; 0];

for jj = 2:numel(TT)
    
   x1 = xall(1,jj-1);
   x2 = xall(2,jj-1);
   x3 = xall(3,jj-1);
   x4 = xall(4,jj-1);
   
   M = [ mc+mr mr*L/2*cos(x2); mr*L/2*cos(x2) Ic];
   M^(-1);
   
   xall(1,jj) = x1 + dt*x3;
   xall(2,jj) = x2 + dt*x4;
   xall(3:4,jj) = [x3;x4] + dt*M^(-1)*[-b*x3+mr*L/2*x4^2*sin(x2);-mr*g*L/2*sin(x2)];
end

figure(1)
clf
subplot(2,1,1)
plot(TT,xall(1,:),'k');
xlabel('time(t)');
ylabel('displacement(m)');
subplot(2,1,2)
plot(TT,xall(2,:)*180/pi,'k');
ylabel('angle(degrees)')
xlabel('time(t)');

